package android.support.v4.app;

import android.os.Bundle;
import android.support.v4.content.Loader;
import android.support.v4.content.Loader.OnLoadCanceledListener;
import android.support.v4.content.Loader.OnLoadCompleteListener;
import android.support.v4.util.DebugUtils;
import android.support.v4.util.SparseArrayCompat;
import android.util.Log;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.lang.reflect.Modifier;

final class LoaderManagerImpl$LoaderInfo
  implements Loader.OnLoadCanceledListener, Loader.OnLoadCompleteListener
{
  final Bundle mArgs;
  LoaderManager.LoaderCallbacks mCallbacks;
  Object mData;
  boolean mDeliveredData;
  boolean mDestroyed;
  boolean mHaveData;
  final int mId;
  boolean mListenerRegistered;
  Loader mLoader;
  LoaderInfo mPendingLoader;
  boolean mReportNextStart;
  boolean mRetaining;
  boolean mRetainingStarted;
  boolean mStarted;
  
  public LoaderManagerImpl$LoaderInfo(LoaderManagerImpl paramLoaderManagerImpl, int paramInt, Bundle paramBundle, LoaderManager.LoaderCallbacks paramLoaderCallbacks)
  {
    this.mId = paramInt;
    this.mArgs = paramBundle;
    this.mCallbacks = paramLoaderCallbacks;
  }
  
  void callOnLoadFinished(Loader paramLoader, Object paramObject)
  {
    String str;
    if (this.mCallbacks != null)
    {
      if (LoaderManagerImpl.access$000(this.this$0) == null) {
        break label158;
      }
      str = LoaderManagerImpl.access$000(this.this$0).mFragmentManager.mNoTransactionsBecause;
      LoaderManagerImpl.access$000(this.this$0).mFragmentManager.mNoTransactionsBecause = "onLoadFinished";
    }
    for (;;)
    {
      try
      {
        if (LoaderManagerImpl.DEBUG) {
          Log.v("LoaderManager", "  onLoadFinished in " + paramLoader + ": " + paramLoader.dataToString(paramObject));
        }
        this.mCallbacks.onLoadFinished(paramLoader, paramObject);
        if (LoaderManagerImpl.access$000(this.this$0) != null) {
          LoaderManagerImpl.access$000(this.this$0).mFragmentManager.mNoTransactionsBecause = str;
        }
        this.mDeliveredData = true;
        return;
      }
      finally
      {
        if (LoaderManagerImpl.access$000(this.this$0) != null) {
          LoaderManagerImpl.access$000(this.this$0).mFragmentManager.mNoTransactionsBecause = str;
        }
      }
      label158:
      str = null;
    }
  }
  
  void cancel()
  {
    if (LoaderManagerImpl.DEBUG) {
      Log.v("LoaderManager", "  Canceling: " + this);
    }
    if ((this.mStarted) && (this.mLoader != null) && (this.mListenerRegistered) && (!this.mLoader.cancelLoad())) {
      onLoadCanceled(this.mLoader);
    }
  }
  
  void destroy()
  {
    if (LoaderManagerImpl.DEBUG) {
      Log.v("LoaderManager", "  Destroying: " + this);
    }
    this.mDestroyed = true;
    boolean bool = this.mDeliveredData;
    this.mDeliveredData = false;
    String str;
    if ((this.mCallbacks != null) && (this.mLoader != null) && (this.mHaveData) && (bool))
    {
      if (LoaderManagerImpl.DEBUG) {
        Log.v("LoaderManager", "  Reseting: " + this);
      }
      if (LoaderManagerImpl.access$000(this.this$0) == null) {
        break label277;
      }
      str = LoaderManagerImpl.access$000(this.this$0).mFragmentManager.mNoTransactionsBecause;
      LoaderManagerImpl.access$000(this.this$0).mFragmentManager.mNoTransactionsBecause = "onLoaderReset";
    }
    for (;;)
    {
      try
      {
        this.mCallbacks.onLoaderReset(this.mLoader);
        if (LoaderManagerImpl.access$000(this.this$0) != null) {
          LoaderManagerImpl.access$000(this.this$0).mFragmentManager.mNoTransactionsBecause = str;
        }
        this.mCallbacks = null;
        this.mData = null;
        this.mHaveData = false;
        if (this.mLoader != null)
        {
          if (this.mListenerRegistered)
          {
            this.mListenerRegistered = false;
            this.mLoader.unregisterListener(this);
            this.mLoader.unregisterOnLoadCanceledListener(this);
          }
          this.mLoader.reset();
        }
        if (this.mPendingLoader != null) {
          this.mPendingLoader.destroy();
        }
        return;
      }
      finally
      {
        if (LoaderManagerImpl.access$000(this.this$0) != null) {
          LoaderManagerImpl.access$000(this.this$0).mFragmentManager.mNoTransactionsBecause = str;
        }
      }
      label277:
      str = null;
    }
  }
  
  public void dump(String paramString, FileDescriptor paramFileDescriptor, PrintWriter paramPrintWriter, String[] paramArrayOfString)
  {
    paramPrintWriter.print(paramString);
    paramPrintWriter.print("mId=");
    paramPrintWriter.print(this.mId);
    paramPrintWriter.print(" mArgs=");
    paramPrintWriter.println(this.mArgs);
    paramPrintWriter.print(paramString);
    paramPrintWriter.print("mCallbacks=");
    paramPrintWriter.println(this.mCallbacks);
    paramPrintWriter.print(paramString);
    paramPrintWriter.print("mLoader=");
    paramPrintWriter.println(this.mLoader);
    if (this.mLoader != null) {
      this.mLoader.dump(paramString + "  ", paramFileDescriptor, paramPrintWriter, paramArrayOfString);
    }
    if ((this.mHaveData) || (this.mDeliveredData))
    {
      paramPrintWriter.print(paramString);
      paramPrintWriter.print("mHaveData=");
      paramPrintWriter.print(this.mHaveData);
      paramPrintWriter.print("  mDeliveredData=");
      paramPrintWriter.println(this.mDeliveredData);
      paramPrintWriter.print(paramString);
      paramPrintWriter.print("mData=");
      paramPrintWriter.println(this.mData);
    }
    paramPrintWriter.print(paramString);
    paramPrintWriter.print("mStarted=");
    paramPrintWriter.print(this.mStarted);
    paramPrintWriter.print(" mReportNextStart=");
    paramPrintWriter.print(this.mReportNextStart);
    paramPrintWriter.print(" mDestroyed=");
    paramPrintWriter.println(this.mDestroyed);
    paramPrintWriter.print(paramString);
    paramPrintWriter.print("mRetaining=");
    paramPrintWriter.print(this.mRetaining);
    paramPrintWriter.print(" mRetainingStarted=");
    paramPrintWriter.print(this.mRetainingStarted);
    paramPrintWriter.print(" mListenerRegistered=");
    paramPrintWriter.println(this.mListenerRegistered);
    if (this.mPendingLoader != null)
    {
      paramPrintWriter.print(paramString);
      paramPrintWriter.println("Pending Loader ");
      paramPrintWriter.print(this.mPendingLoader);
      paramPrintWriter.println(":");
      this.mPendingLoader.dump(paramString + "  ", paramFileDescriptor, paramPrintWriter, paramArrayOfString);
    }
  }
  
  void finishRetain()
  {
    if (this.mRetaining)
    {
      if (LoaderManagerImpl.DEBUG) {
        Log.v("LoaderManager", "  Finished Retaining: " + this);
      }
      this.mRetaining = false;
      if ((this.mStarted != this.mRetainingStarted) && (!this.mStarted)) {
        stop();
      }
    }
    if ((this.mStarted) && (this.mHaveData) && (!this.mReportNextStart)) {
      callOnLoadFinished(this.mLoader, this.mData);
    }
  }
  
  public void onLoadCanceled(Loader paramLoader)
  {
    if (LoaderManagerImpl.DEBUG) {
      Log.v("LoaderManager", "onLoadCanceled: " + this);
    }
    if (this.mDestroyed) {
      if (LoaderManagerImpl.DEBUG) {
        Log.v("LoaderManager", "  Ignoring load canceled -- destroyed");
      }
    }
    do
    {
      do
      {
        return;
        if (this.this$0.mLoaders.get(this.mId) == this) {
          break;
        }
      } while (!LoaderManagerImpl.DEBUG);
      Log.v("LoaderManager", "  Ignoring load canceled -- not active");
      return;
      paramLoader = this.mPendingLoader;
    } while (paramLoader == null);
    if (LoaderManagerImpl.DEBUG) {
      Log.v("LoaderManager", "  Switching to pending loader: " + paramLoader);
    }
    this.mPendingLoader = null;
    this.this$0.mLoaders.put(this.mId, null);
    destroy();
    this.this$0.installLoader(paramLoader);
  }
  
  public void onLoadComplete(Loader paramLoader, Object paramObject)
  {
    if (LoaderManagerImpl.DEBUG) {
      Log.v("LoaderManager", "onLoadComplete: " + this);
    }
    if (this.mDestroyed) {
      if (LoaderManagerImpl.DEBUG) {
        Log.v("LoaderManager", "  Ignoring load complete -- destroyed");
      }
    }
    do
    {
      do
      {
        return;
        if (this.this$0.mLoaders.get(this.mId) == this) {
          break;
        }
      } while (!LoaderManagerImpl.DEBUG);
      Log.v("LoaderManager", "  Ignoring load complete -- not active");
      return;
      LoaderInfo localLoaderInfo = this.mPendingLoader;
      if (localLoaderInfo != null)
      {
        if (LoaderManagerImpl.DEBUG) {
          Log.v("LoaderManager", "  Switching to pending loader: " + localLoaderInfo);
        }
        this.mPendingLoader = null;
        this.this$0.mLoaders.put(this.mId, null);
        destroy();
        this.this$0.installLoader(localLoaderInfo);
        return;
      }
      if ((this.mData != paramObject) || (!this.mHaveData))
      {
        this.mData = paramObject;
        this.mHaveData = true;
        if (this.mStarted) {
          callOnLoadFinished(paramLoader, paramObject);
        }
      }
      paramLoader = (LoaderInfo)this.this$0.mInactiveLoaders.get(this.mId);
      if ((paramLoader != null) && (paramLoader != this))
      {
        paramLoader.mDeliveredData = false;
        paramLoader.destroy();
        this.this$0.mInactiveLoaders.remove(this.mId);
      }
    } while ((LoaderManagerImpl.access$000(this.this$0) == null) || (this.this$0.hasRunningLoaders()));
    LoaderManagerImpl.access$000(this.this$0).mFragmentManager.startPendingDeferredFragments();
  }
  
  void reportStart()
  {
    if ((this.mStarted) && (this.mReportNextStart))
    {
      this.mReportNextStart = false;
      if (this.mHaveData) {
        callOnLoadFinished(this.mLoader, this.mData);
      }
    }
  }
  
  void retain()
  {
    if (LoaderManagerImpl.DEBUG) {
      Log.v("LoaderManager", "  Retaining: " + this);
    }
    this.mRetaining = true;
    this.mRetainingStarted = this.mStarted;
    this.mStarted = false;
    this.mCallbacks = null;
  }
  
  void start()
  {
    if ((this.mRetaining) && (this.mRetainingStarted)) {
      this.mStarted = true;
    }
    do
    {
      do
      {
        return;
      } while (this.mStarted);
      this.mStarted = true;
      if (LoaderManagerImpl.DEBUG) {
        Log.v("LoaderManager", "  Starting: " + this);
      }
      if ((this.mLoader == null) && (this.mCallbacks != null)) {
        this.mLoader = this.mCallbacks.onCreateLoader(this.mId, this.mArgs);
      }
    } while (this.mLoader == null);
    if ((this.mLoader.getClass().isMemberClass()) && (!Modifier.isStatic(this.mLoader.getClass().getModifiers()))) {
      throw new IllegalArgumentException("Object returned from onCreateLoader must not be a non-static inner member class: " + this.mLoader);
    }
    if (!this.mListenerRegistered)
    {
      this.mLoader.registerListener(this.mId, this);
      this.mLoader.registerOnLoadCanceledListener(this);
      this.mListenerRegistered = true;
    }
    this.mLoader.startLoading();
  }
  
  void stop()
  {
    if (LoaderManagerImpl.DEBUG) {
      Log.v("LoaderManager", "  Stopping: " + this);
    }
    this.mStarted = false;
    if ((!this.mRetaining) && (this.mLoader != null) && (this.mListenerRegistered))
    {
      this.mListenerRegistered = false;
      this.mLoader.unregisterListener(this);
      this.mLoader.unregisterOnLoadCanceledListener(this);
      this.mLoader.stopLoading();
    }
  }
  
  public String toString()
  {
    StringBuilder localStringBuilder = new StringBuilder(64);
    localStringBuilder.append("LoaderInfo{");
    localStringBuilder.append(Integer.toHexString(System.identityHashCode(this)));
    localStringBuilder.append(" #");
    localStringBuilder.append(this.mId);
    localStringBuilder.append(" : ");
    DebugUtils.buildShortClassTag(this.mLoader, localStringBuilder);
    localStringBuilder.append("}}");
    return localStringBuilder.toString();
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/ruMMS/classes-dex2jar.jar!/android/support/v4/app/LoaderManagerImpl$LoaderInfo.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */